## model.tournament
Class TournamentDataModel

    java.lang.Object
      model.tournament.TournamentDataModel

Direct Known Subclasses:
  Tournament, TournamentDataModelEditor

    public abstract class TournamentDataModel

extends java.lang.Object

The class represents the data structure of a Tournament object. It also gives its public get-methods and protected set-methods. The child class TournamentDataModelEditor gives the set-methods public visibility so that the data can be changed. Editing and creating new Tournament objects is done via TournamentUpdater and TournamentInitializer objects that extend the class TournamentDataModelEditor. See the architecture document for more information.

Field Summary
`private java.math.BigDecimal` `base_fee`
`private GoDate` `date`
`private Country` `default_country`
`private java.util.HashMap<ID,Discount>` `discount_map`
`private java.lang.String` `html`
`private java.lang.String` `name`
`private boolean` `preregistration_open`
`private ID` `TOURNAMENT_ID`
`private boolean` `tournament_open`

Constructor Summary
`protected` `TournamentDataModel(ID tournament_id)`

Method Summary
`protected void` `addDiscount(Discount new_discount)`
`java.math.BigDecimal` `getBaseFee()`
`GoDate` `getDate()`
`Country` `getDefaultCountry()`
`Discount[]` `getDiscounts()`
`java.lang.String` `getHtml()`
`ID` `getId()`
`java.lang.String` `getName()`
`protected boolean` `hasDiscountId(ID discount_id)`
`boolean` `isPreRegistrationOpen()`
`boolean` `isTournamentOpen()`
`protected void` `removeDiscount(ID discount_id)`
`protected void` `setBaseFee(java.math.BigDecimal new_base_fee)`
`protected void` `setBaseFee(java.lang.String new_base_fee)`
`protected void` `setDate(GoDate new_date)`
`protected void` `setDate(java.lang.String date_str)`
`protected void` `setDefaultCountry(Country default_country_to_set)`
`protected void` `setDefaultCountry(java.lang.String default_country_code)`
`protected void` `setDiscounts(Discount[] new_discounts)`
`protected void` `setHtml(java.lang.String set_html)`
`protected void` `setName(java.lang.String name_to_set)`
`protected void` `setPreregistrationOpen(boolean open)`
`protected void` `setTournamentOpen(boolean open)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TOURNAMENT_ID

    private final transient ID TOURNAMENT_ID

### name

    private java.lang.String name

### html

    private java.lang.String html

### default_country

    private transient Country default_country

### base_fee

    private transient java.math.BigDecimal base_fee

### date

    private GoDate date

### preregistration_open

    private transient boolean preregistration_open

### discount_map

    private transient java.util.HashMap<ID,Discount> discount_map

### tournament_open

    private transient boolean tournament_open

Constructor Detail

### TournamentDataModel

    protected TournamentDataModel(ID tournament_id)

Method Detail

### getId

    public ID getId()

### getName

    public java.lang.String getName()

### getHtml

    public java.lang.String getHtml()

### getDefaultCountry

    public Country getDefaultCountry()

### getBaseFee

    public java.math.BigDecimal getBaseFee()

### getDate

    public GoDate getDate()

### isPreRegistrationOpen

    public boolean isPreRegistrationOpen()

### isTournamentOpen

    public boolean isTournamentOpen()

### getDiscounts

    public Discount[] getDiscounts()

### setName

    protected void setName(java.lang.String name_to_set)
                    throws GoException

  Throws:
    `GoException`

### setHtml

    protected void setHtml(java.lang.String set_html)

### setDefaultCountry

    protected void setDefaultCountry(java.lang.String default_country_code)
                              throws GoException

  Throws:
    `GoException`

### setDefaultCountry

    protected void setDefaultCountry(Country default_country_to_set)
                              throws GoException

  Throws:
    `GoException`

### setBaseFee

    protected void setBaseFee(java.lang.String new_base_fee)
                       throws GoException

  Throws:
    `GoException`

### setBaseFee

    protected void setBaseFee(java.math.BigDecimal new_base_fee)
                       throws GoException

  Throws:
    `GoException`

### setDate

    protected void setDate(java.lang.String date_str)
                    throws ParseGoDateException

  Throws:
    `ParseGoDateException`

### setDate

    protected void setDate(GoDate new_date)
                    throws GoException

  Throws:
    `GoException`

### setPreregistrationOpen

    protected void setPreregistrationOpen(boolean open)

### setTournamentOpen

    protected void setTournamentOpen(boolean open)

### setDiscounts

    protected void setDiscounts(Discount[] new_discounts)

### addDiscount

    protected void addDiscount(Discount new_discount)

### hasDiscountId

    protected boolean hasDiscountId(ID discount_id)

### removeDiscount

    protected void removeDiscount(ID discount_id)